summaryrefslogtreecommitdiffstats
path: root/source/a/dialog/dialog.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/dialog/dialog.SlackBuild')
-rwxr-xr-xsource/a/dialog/dialog.SlackBuild17
1 files changed, 12 insertions, 5 deletions
diff --git a/source/a/dialog/dialog.SlackBuild b/source/a/dialog/dialog.SlackBuild
index e7e94a382..261e73010 100755
--- a/source/a/dialog/dialog.SlackBuild
+++ b/source/a/dialog/dialog.SlackBuild
@@ -1,5 +1,5 @@
#!/bin/bash
-# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2013, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2013, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -35,10 +35,13 @@ PKGNAM=dialog
# that uses dialog and found to work, and you've already gotten any needed
# patches accepted upstream... well... I like this version. If it's got bugs,
# they aren't bugs that I'm running into often.
-#VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1,2 -d - | rev)}
-VERSION=1.3-20170509
+#
+# Update: dialog-1.3-20191210 actually passes the formatting tests here (with a
+# couple of patches), so we will take our first dialog upgrade in quite a while.
+#VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1,2 -d - | rev)}
+VERSION=1.3-20191210
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -85,10 +88,14 @@ fi
cd $TMP
rm -rf ${PKGNAM}-${VERSION}
-tar xvf $CWD/${PKGNAM}-$VERSION.tar.xz || exit 1
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
cd ${PKGNAM}-$VERSION || exit 1
+# These patches take care of the formatting issues that were preventing
+# us from moving to a more recent version of dialog:
+zcat $CWD/dialog.all.use_height.diff.gz | patch -p1 --verbose || exit 1
zcat $CWD/dialog.smaller.min.height.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/dialog.no.aspect.ratio.autoajust.patch.gz | patch -p1 --verbose || exit 1
# Make sure ownerships and permissions are sane:
chown -R root:root .